Bug 1858983 - cmake: Sync Fedora macros for optional support for out-of-source builds
Summary: cmake: Sync Fedora macros for optional support for out-of-source builds
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cmake
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Tom Stellard
QA Contact: Michal Kolar
URL:
Whiteboard:
Depends On: 1816874 1858941
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-21 01:04 UTC by Carl George 🤠
Modified: 2021-03-01 15:16 UTC (History)
11 users (show)

Fixed In Version: cmake-3.18.2-9.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Sync Fedora macros for optional support for out-of-source builds (2.31 KB, patch)
2020-07-21 01:08 UTC, Carl George 🤠
no flags Details | Diff
Revised patch to sync Fedora macros for optional support for out-of-source builds (2.34 KB, patch)
2020-11-10 22:49 UTC, Neal Gompa
no flags Details | Diff

Description Carl George 🤠 2020-07-21 01:04:43 UTC
Description of problem:
Related to bug 1858941, there are macros in Fedora to allow optional out-of-source builds [0], as well as generic %cmake_build, %cmake_install, and %ctest macros.  Neal has demonstrated adding these in the CentOS dist-git [1].  Applying this to RHEL 8 would allow for consistency between Fedora, EPEL8, and EPEL7 to make packagers lives easier.

Additional info:
[0] https://fedoraproject.org/wiki/Changes/CMake_to_do_out-of-source_builds
[1] https://git.centos.org/rpms/cmake/pull-request/1

Comment 1 Carl George 🤠 2020-07-21 01:08:51 UTC
Created attachment 1701829 [details]
Sync Fedora macros for optional support for out-of-source builds

This patch can be applied to RHEL's dist-git with `git am -p2`.

Comment 3 Neal Gompa 2020-11-10 22:49:29 UTC
Created attachment 1728193 [details]
Revised patch to sync Fedora macros for optional support for out-of-source builds

So I've tried out cmake-3.18.2-7.el8 in CentOS Stream since it landed couple of months ago[1]. It seems to work quite well. Can we see some movement here to merge my change into the cmake package for RHEL/CentOS 8.4?

I've revised my patch to incorporate a minor fix from Fedora for the %ctest macro and attached it here. Like the original, this patch can be applied to RHEL's dist-git with `git am -p2`.


[1]: https://src.fedoraproject.org/rpms/cmake/c/8674426d570668993696a7e9f2a4d31711bc47ee

Comment 4 Neal Gompa 2020-12-21 21:35:52 UTC
@Tom, can you please take a look at this and merge it in? It's becoming a serious issue that it hasn't been incorporated into the CMake package in CentOS Stream yet...

Comment 5 Lukáš Hrázký 2021-01-11 17:39:57 UTC
+1, can we get the macros in for 8.4 please? There's zero risk (AFAICS) and the sooner they're in the less issues people will face.

Comment 6 Michal Kolar 2021-01-29 10:52:32 UTC
Tested against cmake-3.18.2-9.el8.

Comment 9 Michal Kolar 2021-01-29 11:35:42 UTC
Verified against cmake-3.18.2-9.el8.


Note You need to log in before you can comment on or make changes to this bug.